---
updatedAt: 2024-11-21T17:36:11.000Z
agentTools:
  projectIndex: https://developer.truckstop.com/llms.txt
---

# View my truck's details

<HTMLBlock>{`
<table style="margin:0">
	<tr>
		<th style="background:#10A54A;color:white">POST</th>
		<th style="background:#E7F6EC;color:black">
     /v13/Posting/TruckPosting.svc
    </th>
    <th style="background:#E7F6EC;color:black">
      Gets the details of a posted truck.
    </th>
  </tr>
  <tr><td colspan=3><hr/></td></tr>
	<tr>
		<td>Authorization</td>
		<td colspan=2>Username, Password, & Integration ID</td>
	</tr>   
    	<tr>
		<td>SOAP Action</td>
		<td colspan=2>http://webservices.truckstop.com/v11/ITruckPosting/GetTruckDetailResults</td>
	</tr> 
	<tr>
		<td>Content Type</td>
		<td colspan=2>text/xml</td>
	</tr>
  <tr>
		<td>Accept</td>
		<td colspan=2>text/xml</td>
	</tr>
	<tr>
		<td>URL Params</td>
		<td colspan=2>None</td>
	</tr>
	<tr>
		<td>Body Params</td>
		<td colspan=2>XML data</td>
	</tr>
</table>
`}</HTMLBlock>

> 📘 Get truck details
>
> ### Input
>
> [TruckDetailRequest](/reference/truckpostingrequest#truckdetailrequest)
>
> ### Requirements
>
> Authentication requires an account with a valid user name, password, and integration ID that has Truck Posting Web Service enabled.
>
> TruckId the ID of the Truck you want to retrieve details for. This ID must be the ID of an existing Truck that belongs to the authenticated user (Integration ID).
>
> ### Output
>
> [TruckDetailReturn](/reference/truckpostingrequest#truckdetailreturn)
>
> ### Sample Code
>
> ```curl Request
> curl --location 'https://testws.truckstop.com/v13/Posting/TruckPosting.svc' \
> --header 'Content-Type: text/xml' \
> --header 'SOAPAction: http://webservices.truckstop.com/v11/ITruckPosting/GetTruckDetailResults' \
> --data '<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:v11="http://webservices.truckstop.com/v11" xmlns:web="http://schemas.datacontract.org/2004/07/WebServices" xmlns:web1="http://schemas.datacontract.org/2004/07/WebServices.Objects">
>    <soapenv:Header/>
>    <soapenv:Body>
>       <v11:GetTruckDetailResults>
>          <!--Optional:-->
>          <v11:detailRequest>
>             <web:IntegrationId>12345</web:IntegrationId>
>             <web:Password>MyPas123!</web:Password>
>             <web:UserName>MyWSUserName</web:UserName>
>             <web1:TruckId>76766806</web1:TruckId>
>          </v11:detailRequest>
>       </v11:GetTruckDetailResults>
>    </soapenv:Body>
> </soapenv:Envelope>'
> ```
> ```xml Response
> <s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
>     <s:Body>
>         <GetTruckDetailResultsResponse xmlns="http://webservices.truckstop.com/v11">
>             <GetTruckDetailResultsResult xmlns:a="http://schemas.datacontract.org/2004/07/WebServices.Objects" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
>                 <Errors xmlns="http://schemas.datacontract.org/2004/07/WebServices"/>
>                 <a:TruckDetail>
>                     <a:CarrierRating/>
>                     <a:CompanyID>00000000-0000-0000-0000-000000000000</a:CompanyID>
>                     <a:DOTNumber/>
>                     <a:DateTruckAvailable/>
>                     <a:DestinationCity/>
>                     <a:DestinationCountry/>
>                     <a:DestinationRadius>0</a:DestinationRadius>
>                     <a:DestinationState/>
>                     <a:DispatchName/>
>                     <a:DispatchPhone/>
>                     <a:Entered>2024-11-08T14:47:58.9220519+00:00</a:Entered>
>                     <a:EnteredUtc>2024-11-08T14:47:58.9220519Z</a:EnteredUtc>
>                     <a:Equipment/>
>                     <a:EquipmentOptions xmlns:b="http://schemas.datacontract.org/2004/07/Truckstop2.Objects"/>
>                     <a:EquipmentTypes xmlns:b="http://schemas.datacontract.org/2004/07/Truckstop2.Objects">
>                         <b:Category i:nil="true"/>
>                         <b:CategoryId>0</b:CategoryId>
>                         <b:Code i:nil="true"/>
>                         <b:Description i:nil="true"/>
>                         <b:FullLoad i:nil="true"/>
>                         <b:Id>0</b:Id>
>                         <b:IsCategorizable>false</b:IsCategorizable>
>                         <b:IsCombo>false</b:IsCombo>
>                         <b:IsTruckPost>false</b:IsTruckPost>
>                         <b:MapToId>0</b:MapToId>
>                         <b:RequiredOption i:nil="true"/>
>                         <b:WebserviceOnly>false</b:WebserviceOnly>
>                     </a:EquipmentTypes>
>                     <a:HasFileCheck>false</a:HasFileCheck>
>                     <a:ID>0</a:ID>
>                     <a:IsDaily>false</a:IsDaily>
>                     <a:IsFriend>true</a:IsFriend>
>                     <a:IsFullTruck>false</a:IsFullTruck>
>                     <a:Length/>
>                     <a:MCNumber/>
>                     <a:MinMiles/>
>                     <a:OriginCity/>
>                     <a:OriginCountry/>
>                     <a:OriginRadius>0</a:OriginRadius>
>                     <a:OriginState/>
>                     <a:PerMile>0</a:PerMile>
>                     <a:PercentFull/>
>                     <a:PointOfContact/>
>                     <a:PointOfContactPhone/>
>                     <a:Quantity/>
>                     <a:SpecInfo/>
>                     <a:TCAMember>false</a:TCAMember>
>                     <a:TMCNumber/>
>                     <a:TimeTruckAvailable/>
>                     <a:TruckCompanyCity/>
>                     <a:TruckCompanyEmail/>
>                     <a:TruckCompanyFax/>
>                     <a:TruckCompanyId>0</a:TruckCompanyId>
>                     <a:TruckCompanyName/>
>                     <a:TruckCompanyPhone/>
>                     <a:TruckCompanyState/>
>                     <a:TruckDesiredDirection/>
>                     <a:TruckNumber i:nil="true"/>
>                     <a:Weight/>
>                     <a:WhenPostedUtc>0001-01-01T00:00:00Z</a:WhenPostedUtc>
>                     <a:Width>0</a:Width>
>                 </a:TruckDetail>
>             </GetTruckDetailResultsResult>
>         </GetTruckDetailResultsResponse>
>     </s:Body>
> </s:Envelope>
> ```